Crypto++ 8.9 Free C++ class library of cryptographic schemes

Static Public Member Functions | List of all members
DL_Algorithm_ECDSA< EC > Class Template Reference

Elliptic Curve DSA (ECDSA) signature algorithm. More...

Inheritance diagram for DL_Algorithm_ECDSA< EC >:

## Static Public Member Functions
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_Algorithm_GDSA< EC::Point >
static const char * | StaticAlgorithmName ()

## Additional Inherited Members
Public Member Functions inherited from DL_Algorithm_GDSA< EC::Point >
void | Sign (const DL_GroupParameters< EC::Point > &params, const Integer &x, const Integer &k, const Integer &e, Integer &r, Integer &s) const
| Sign a message using a private key. More...
bool | Verify (const DL_GroupParameters< EC::Point > &params, const DL_PublicKey< EC::Point > &publicKey, const Integer &e, const Integer &r, const Integer &s) const
| Verify a message using a public key. More...
Public Member Functions inherited from DL_ElgamalLikeSignatureAlgorithm< T >
virtual void | Sign (const DL_GroupParameters< T > &params, const Integer &privateKey, const Integer &k, const Integer &e, Integer &r, Integer &s) const =0
| Sign a message using a private key. More...
virtual bool | Verify (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &e, const Integer &r, const Integer &s) const =0
| Verify a message using a public key. More...
virtual Integer | RecoverPresignature (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &r, const Integer &s) const
| Recover a Presignature. More...
virtual size_t | RLen (const DL_GroupParameters< T > &params) const
| Retrieve R length. More...
virtual size_t | SLen (const DL_GroupParameters< T > &params) const
| Retrieve S length. More...
virtual bool | IsDeterministic () const
| Signature scheme flag. More...

## Detailed Description

### template<class EC>
class DL_Algorithm_ECDSA< EC >

Elliptic Curve DSA (ECDSA) signature algorithm.

Template Parameters

  EC | elliptic curve field

Since
  Crypto++ 3.2

Definition at line 344 of file eccrypto.h.

The documentation for this class was generated from the following file:

- eccrypto.h